headless lms

Mark a chat read up to a message

POST /api/member/chats/{chatId}/read. Mark a chat read up to a message. Headless LMS Chats API reference.

POST
/api/member/chats/{chatId}/read

For a participant. The message must be in the chat (404 otherwise).

Path Parameters

chatId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/member/chats/string/read" \  -H "Content-Type: application/json" \  -d '{    "messageId": "string"  }'
null
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}